var path = require('path'),
    exec = require('child_process').exec,
    Logger = require('../logger').Logger;

function PhantomJsRunner(config) {
    this.config = config;
}

PhantomJsRunner.prototype = {
    start: function(callback) {
        var self = this;

        exec('phantomjs phantomjs_logger.js', {
            cwd: path.join(__dirname, '..')
        }, function(error, stdout) {
            var reporter = JSON.parse(stdout);
            var logger = new Logger(self.config);

            logger.writeResults(reporter);
            console.log(logger.getTotals());
            callback();
        });
    }
};

exports.PhantomJsRunner = PhantomJsRunner;
